from pyfbsdk import *

lChar = FBCharacter("TestingCharacter")

print lChar.Name

lPropASC = lChar.PropertyList.Find("Action Space Compensation")
lPropActive = lChar.PropertyList.Find("Active" )

if lPropASC:
   print lPropASC.GetPropertyType()
   lPropASC.Data = 50
   
if lPropActive:
    print lPropActive.GetPropertyType()
    lPropActive.Data = True

#After you save an ASCII scene file and search 
#in the file, you find the property name is "FingerSolving"
#Now if you use remove the space between the two words
#in the function below, you will find the property
lPropFinger = lChar.PropertyList.Find("Finger Solving")

if lPropFinger:
   print lPropFinger.GetPropertyType()
   

# Set key onto property "Action Space Compensation"
print lPropASC.IsAnimatable()
if lPropASC.IsAnimated():
    lPropASC.Key()
    
    
# Set property "Realistic Shoulder Solving" animated
lPropShoulder = lChar.PropertyList.Find("Realistic Shoulder Solving")

if lPropShoulder.IsAnimatable():
    if not lPropShoulder.IsAnimated(): 
        lPropShoulder.SetAnimated(True)
        lPropShoulder.Key()