#####################################################################
#
# Programming in MotionBuilder || Focusing on Python Training
#
# Lesson 2: file.py, This script combines all the functions from the
#                    assignement and the class into one file.
# 
#####################################################################

#importing the MotionBuilder Python module
from pyfbsdk import *

def fileNew():
	lApp = FBApplication()
	lApp.FileNew()

def fileOpen():	
	lFp = FBFilePopup()
	lFp.Style = FBFilePopupStyle.kFBFilePopupOpen 
	lFp.Caption = "Open File"
	lFp.Filter = "*"
	lFp.Path = r"C:\Program Files\Autodesk\MotionBuilder 2009\bin\config\Scripts"
	lRes = lFp.Execute()
	if lRes:
		lApp = FBApplication()	
		lApp.FileOpen(lFp.FullFilename)

def fileSave():
	#if the file has not been save once, it will force you to choose a name
	lApp = FBApplication() 
	lApp.FileSave()

def fileSaveAs():
	lFp = FBFilePopup()
	lFp.Style = FBFilePopupStyle.kFBFilePopupSave
	lFp.Caption = "Save File"
	lFp.Filter = "*.fbx"
	lFp.Path = r"C:\Program Files\Autodesk\MotionBuilder 2009\bin\config\Scripts"
	lRes = lFp.Execute()
	if lRes:
		lApp = FBApplication()
		lApp.FileSave(lFp.FullFilename) 
