from pyfbsdk import *

def GetBoundingBox():
	lMesh = FBFindModelByName( "Plasticman:PlasticMan" )
	if lMesh:
		lMin = FBVector3d()
		lMax = FBVector3d()
		lMesh.GetBoundingBox( lMin, lMax )
		print "----"
		print "Min:", lMin[0], lMin[1], lMin[2]
		print "Max:", lMax[0], lMax[1], lMax[2]


def RenderFrame( pFileName, pFrameStart, pFrameEnd ):
	lVideoGrabOptions = FBVideoGrabber().GetOptions()
	lVideoGrabOptions.TimeSpan = FBTimeSpan(FBTime(0, 0, 0, pFrameStart), FBTime(0, 0, 0, pFrameEnd))
	lVideoGrabOptions.OutputFileName = pFileName
	lVideoGrabOptions.ViewingMode = FBVideoRenderViewingMode.FBViewingModeCurrent
	FBApplication().FileRender( lVideoGrabOptions )


FBPlayerControl().Goto( FBTime( 0, 0, 0, 1 ) )
FBSystem().Scene.Evaluate()

RenderFrame( "c:\\render1.tga", 1, 1 )
GetBoundingBox()	

FBPlayerControl().Goto( FBTime( 0, 0, 0, 15 ) )
FBSystem().Scene.Evaluate()

RenderFrame( "c:\\render1.tga", 15, 15 )
GetBoundingBox()	

FBPlayerControl().Goto( FBTime( 0, 0, 0, 30 ) )
FBSystem().Scene.Evaluate()

RenderFrame( "c:\\render1.tga", 30, 30 )
GetBoundingBox()	

FBPlayerControl().Goto( FBTime( 0, 0, 0, 45 ) )
FBSystem().Scene.Evaluate()

RenderFrame( "c:\\render1.tga", 45, 45 )
GetBoundingBox()	
