from pyfbsdk import *

# Create a filter of a known type. In this case the sample filter
# provided with the samples: orfilter_template.
lFilterManager = FBFilterManager()
lFilter = lFilterManager.CreateFilter( 'OR - Filter Template' );

# Set one of the filter property:
lPropDouble = lFilter.PropertyList.Find( 'Test Double' );
if lPropDouble: lPropDouble.Data = 2.0

# Now we can apply the filter on an FCurve.
# And when we are done, destroy it.
lFilter.FBDelete()