#How to use the generic FBCreateObject function to create object that 
#are not "officially" exposed to python. This allow creation of anything that is available 
#in the Asset browser. 

device = FBCreateObject("Browsing/Templates/Devices", "Mouse", "Mymouse" )
device.OnLine = True 
device.Live = True 
FBSystem().Scene.Devices.append(device)

solver = FBCreateObject( "Browsing/Templates/Solvers", "Physics Solver", "MySolver" )

torus = FBCreateObject( 'Browsing/Templates/Elements/Primitives', 'Torus', 'Torus' ) 
torus.Show = True 