from pyfbsdk import *

def threedcurve():
    lModelPath3D = FBModelPath3D ("3D Curve")
    lModelPath3D.Show = True
    lModelPath3D.Selecte = True

def camera():
    lCam = FBCamera("Camera")
    lCam.Show = True
    lNull = FBModelNull ("Camera Interest")
    lCam.Interest = lNull
    lCam.Selected = True

def cube():
    lCube = FBModelCube("Cube")
    lCube.Show = True
    lCube.Selected = True

def handle():
    lHandle = FBHandle ("Handle")

def light():
    lLight = FBLight("Light")
    lLight.Show = True
    lLight.Selected = True

def marker():
    lModelMarker = FBModelMarker ("Marker")
    lModelMarker.Show = True
    lModelMarker.Selected = True

def note():
    lNote = FBNote ("Note") 
    lScene = FBSystem().Scene
    lNote.Attach(lScene)

def null():
    lNull = FBModelNull("Null")
    lNull.Show = True
    lNull.Selected = True

def optical():
    lModelOptical = FBModelOptical ("Optical")
    lModelOptical.Show = True
    lModelOptical.Selected = True

def plane():
    lModelPlane = FBModelPlane ("Plane") 
    lModelPlane.Show = True
    lModelPlane.Selected = True

def skeletonNode():
    lModelSkeleton = FBModelSkeleton ("Skeleton node")
    lModelSkeleton.Show = True
    lModelSkeleton.Selected = True

def skeletonRoot():
    lModelRoot = FBModelRoot("Skeleton root")
    lModelRoot.Show = True
    lModelRoot.Selected = True