from pyfbsdk import *

def OnTakeChangeCallback(scene, event):
    for takes in FBSystem().Scene.Takes:
        if not takes.PropertyList.Find('IsCurrentTake'):
            lProp = takes.PropertyCreate( "IsCurrentTake", FBPropertyType.kFBPT_bool, "Bool", False, True, None)
            break
    for takes in FBSystem().Scene.Takes:
        if takes.PropertyList.Find('IsCurrentTake'):
            if takes == FBSystem().CurrentTake:
                takes.PropertyList.Find('IsCurrentTake').Data = True
            else:
                takes.PropertyList.Find('IsCurrentTake').Data = False        
       
lScene = FBSystem().Scene
lScene.OnTakeChange.Add(OnTakeChangeCallback)
print dir(lScene.OnTakeChange)