from pyfbsdk import *

lCube = FBFindModelByLabelName("Cube")
lAnimationNode = lCube.Translation.GetAnimationNode()
if lAnimationNode:
    lListAnimationNodes = lAnimationNode.Nodes
    if lListAnimationNodes:
        # First approach to set keys
        lListAnimationNodes[0].KeyAdd(10.0)
        lListAnimationNodes[1].KeyAdd(20.0)
        lListAnimationNodes[2].KeyAdd(30.0)

    if lListAnimationNodes:  
    # Second approach: setCandidate and KeyCandidate
        lListAnimationNodes[0].SetCandidate(10.0)
        lListAnimationNodes[0].KeyCandidate()
        lListAnimationNodes[1].SetCandidate(20.0)
        lListAnimationNodes[1].KeyCandidate()
        lListAnimationNodes[2].SetCandidate(30.0)
        lListAnimationNodes[2].KeyCandidate()
