from pyfbsdk import *

# Get a timestamp before the sleep.
lTs1 = FBSystem().SystemTime

# Do sleep for a few milliseconds.
lSleepTimeMS = 1234
FBSleep( lSleepTimeMS )

# Get a second timestamp after the sleep.
lTs2 = FBSystem().SystemTime

# Now display the actual sleep time.
FBMessageBox( "Actual sleep time",
              "Sleep time requested: %.3f seconds\nActual sleep time   : %.3f seconds" %(( lSleepTimeMS / 1000.0 ),
                 (( lTs2.GetMilliSeconds() - lTs1.GetMilliSeconds() ) / 1000.0 )),"OK", None, None )