from pyfbsdk import *

#Create an Aim constraint 
lMgr = FBConstraintManager()
lIndex = None
for i in range(0,lMgr.TypeGetCount()):
    if lMgr.TypeGetName(i)== 'Aim':
        lIndex = i
        break
lConst = lMgr.TypeCreateConstraint(lIndex)


#Set up properties on this Aim constraint
lConstraints = FBSystem().Scene.Constraints
for lCon in lConstraints:
    if lCon.Name == 'Aim':
        # Set the weight of the constraint
        lCon.Weight = 50
        # Lock the state of the constraint
        lCon.Lock = True
        lCon.PropertyList.Find("Affect X").Data = False
        lCon.Active = True
