from pyfbsdk import *

#Create two testing objects
lCam = FBCamera("MyCam")
lCam.Show = True
lCube = FBModelCube("MyCube")
lCube.Scaling = FBVector3d(5, 5,5)
lCube.Show = True

lMgr = FBConstraintManager()

lIndex = None
for i in range(0, lMgr.TypeGetCount()):
    if lMgr.TypeGetName(i) == 'Aim':
        lIndex = i
        break
lConst = lMgr.TypeCreateConstraint(lIndex)
lConst.Lock = True


for i in range(0, lConst.ReferenceGroupGetCount()):
    if lConst.ReferenceGroupGetName(i) == 'Aim At Object':
        lConst.ReferenceAdd(i, lCube)
    elif lConst.ReferenceGroupGetName(i) == 'Constrained Object':
        lConst.ReferenceAdd(i, lCam)

lConst.Active = True