from pyfbsdk import *

def FindAnimationNode( pParent, pName ):
    lResult = None
    for lNode in pParent.Nodes:      
        if lNode.Name == pName:
            lResult = lNode
            break
    return lResult

lCube = FBModelCube("Cube")
lCube.Visible=True
lCube.Show=True

lCam = FBCamera ( 'Camera' )
lCam.Show = True

lRelation = FBConstraintRelation("Cube Relation")
lRelation.Active =True

lBoxSenderCube = lRelation.SetAsSource(lCube)
lRelation.SetBoxPosition(lBoxSenderCube,10,10)
print lRelation.GetBoxPosition(lBoxSenderCube)

lBoxReceiverCam = lRelation.ConstrainObject(lCam)
lRelation.SetBoxPosition(lBoxReceiverCam,500,10)
print lRelation.GetBoxPosition(lBoxReceiverCam)

lCubeOut = FindAnimationNode( lBoxSenderCube.AnimationNodeOutGet(), 'Rotation' )
lCamIn = FindAnimationNode( lBoxReceiverCam.AnimationNodeInGet(), 'Translation' )

print lCubeOut.Nodes
print lCubeOut.GetDst

if lCubeOut and lCamIn:
    FBConnect( lCubeOut, lCamIn )